import request from '@/utils/request'

// 查询立减金劵制作列表
export function listHisstoreStoreinstantdiscount(query) {
  return request({
    url: '/hisStore/store_instant_discount/list',
    method: 'get',
    params: query
  })
}

// 查询立减金劵制作详细
export function getHisstoreStoreinstantdiscount(id) {
  return request({
    url: '/hisStore/store_instant_discount/' + id,
    method: 'get'
  })
}

// 新增立减金劵制作
export function addHisstoreStoreinstantdiscount(data) {
  return request({
    url: '/hisStore/store_instant_discount',
    method: 'post',
    data: data
  })
}

// 修改立减金劵制作
export function updateHisstoreStoreinstantdiscount(data) {
  return request({
    url: '/hisStore/store_instant_discount',
    method: 'put',
    data: data
  })
}

// 删除立减金劵制作
export function delHisstoreStoreinstantdiscount(id) {
  return request({
    url: '/hisStore/store_instant_discount/' + id,
    method: 'delete'
  })
}

// 导出立减金劵制作
export function exportHisstoreStoreinstantdiscount(query) {
  return request({
    url: '/hisStore/store_instant_discount/export',
    method: 'post',
    params: query
  })
}
